interactions:
- request:
    body: '{"trace_id": "c2480e99-597e-4232-8bab-247d790d1df5", "execution_type":
      "crew", "user_identifier": null, "execution_context": {"crew_fingerprint": null,
      "crew_name": "Unknown Crew", "flow_name": null, "crewai_version": "1.9.3", "privacy_level":
      "standard"}, "execution_metadata": {"expected_duration_estimate": 300, "agent_count":
      0, "task_count": 0, "flow_method_count": 0, "execution_started_at": "2026-02-11T22:36:18.177111+00:00"}}'
    headers:
      Accept:
      - '*/*'
      Connection:
      - keep-alive
      Content-Length:
      - '434'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      X-Crewai-Version:
      - 1.9.3
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
    method: POST
    uri: https://app.crewai.com/crewai_plus/api/v1/tracing/batches
  response:
    body:
      string: '{"error":"bad_credentials","message":"Bad credentials"}'
    headers:
      Connection:
      - keep-alive
      Content-Length:
      - '55'
      Content-Type:
      - application/json; charset=utf-8
      Date:
      - Wed, 11 Feb 2026 22:36:18 GMT
      cache-control:
      - no-store
      content-security-policy:
      - CSP-FILTERED
      expires:
      - '0'
      permissions-policy:
      - PERMISSIONS-POLICY-XXX
      pragma:
      - no-cache
      referrer-policy:
      - REFERRER-POLICY-XXX
      strict-transport-security:
      - STS-XXX
      vary:
      - Accept
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-frame-options:
      - X-FRAME-OPTIONS-XXX
      x-permitted-cross-domain-policies:
      - X-PERMITTED-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
      x-runtime:
      - X-RUNTIME-XXX
      x-xss-protection:
      - X-XSS-PROTECTION-XXX
    status:
      code: 401
      message: Unauthorized
- request:
    body: '{"messages":[{"role":"system","content":"You are Sports Analyst. You are
      an expert at gathering and organizing information. You carefully collect details
      and present them in a structured way.\nYour personal goal is: Gather information
      about the best soccer players"},{"role":"user","content":"\nCurrent Task: Top
      1 best players in the world?\n\nProvide your complete response:"}],"model":"gpt-4.1-mini"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '403'
      content-type:
      - application/json
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D8D6gFCAWN6tdTjl4UcWe8XkbJWSt\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1770849378,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Top 1 Best Soccer Player in the World
        (as of 2024):\\n\\n**Player Name:** Lionel Messi\\n\\n**Nationality:** Argentine\\n\\n**Position:**
        Forward / Attacking Midfielder\\n\\n**Current Club:** Inter Miami CF (MLS)\\n\\n**Key
        Achievements:**\\n- Multiple Ballon d'Or awards (7 times as of 2023)\\n- Led
        Argentina to victory in the 2021 Copa Am\xE9rica and 2022 FIFA World Cup\\n-
        Numerous domestic league titles with FC Barcelona and Paris Saint-Germain\\n-
        Known for exceptional dribbling, vision, playmaking, and goal-scoring ability\\n\\n**Why
        Considered the Best:**\\n- Consistent top-level performance spanning over
        15 years\\n- Highly influential in critical matches and tournaments\\n- Combines
        creativity and efficiency with exceptional football intelligence\\n\\nIf you
        need details on other top players or specific stats, feel free to ask!\",\n
        \       \"refusal\": null,\n        \"annotations\": []\n      },\n      \"logprobs\":
        null,\n      \"finish_reason\": \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\":
        68,\n    \"completion_tokens\": 179,\n    \"total_tokens\": 247,\n    \"prompt_tokens_details\":
        {\n      \"cached_tokens\": 0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_75546bd1a7\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 11 Feb 2026 22:36:20 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '2322'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
- request:
    body: '{"messages":[{"role":"system","content":"You are Sports Analyst. You are
      an expert at gathering and organizing information. You carefully collect details
      and present them in a structured way.\nYour personal goal is: Gather information
      about the best soccer players"},{"role":"user","content":"\nCurrent Task: Top
      1 best players in the world?\n\nProvide your complete response:"}],"model":"gpt-4.1-mini"}'
    headers:
      User-Agent:
      - X-USER-AGENT-XXX
      accept:
      - application/json
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      authorization:
      - AUTHORIZATION-XXX
      connection:
      - keep-alive
      content-length:
      - '403'
      content-type:
      - application/json
      cookie:
      - COOKIE-XXX
      host:
      - api.openai.com
      x-stainless-arch:
      - X-STAINLESS-ARCH-XXX
      x-stainless-async:
      - 'false'
      x-stainless-lang:
      - python
      x-stainless-os:
      - X-STAINLESS-OS-XXX
      x-stainless-package-version:
      - 1.83.0
      x-stainless-read-timeout:
      - X-STAINLESS-READ-TIMEOUT-XXX
      x-stainless-retry-count:
      - '0'
      x-stainless-runtime:
      - CPython
      x-stainless-runtime-version:
      - 3.13.3
    method: POST
    uri: https://api.openai.com/v1/chat/completions
  response:
    body:
      string: "{\n  \"id\": \"chatcmpl-D8D6jqmQQLNjoMB5XYnidWXlGm0Mh\",\n  \"object\":
        \"chat.completion\",\n  \"created\": 1770849381,\n  \"model\": \"gpt-4.1-mini-2025-04-14\",\n
        \ \"choices\": [\n    {\n      \"index\": 0,\n      \"message\": {\n        \"role\":
        \"assistant\",\n        \"content\": \"Certainly! As of mid-2024, the top
        1 best soccer player in the world is widely regarded as:\\n\\n**Erling Haaland**\\n\\n###
        Key Details:\\n- **Position:** Striker\\n- **Current Club:** Manchester City
        (Premier League)\\n- **Nationality:** Norwegian\\n- **Notable Achievements:**\\n
        \ - Phenomenal goal-scoring record since joining Manchester City in 2022\\n
        \ - Winner of the Premier League Golden Boot\\n  - Key player in Manchester
        City's recent domestic and international successes, including winning the
        UEFA Champions League\\n  - Known for his physicality, speed, precise finishing,
        and ability to perform in high-stakes matches\\n\\n### Why Erling Haaland?\\nHaaland\u2019s
        consistent high performance, record-breaking goal tallies, and impact on the
        biggest stage have made him widely regarded by analysts, fans, and peers as
        the best player in the world currently. His combination of technical skill
        and athleticism sets him apart from other top talents.\\n\\nIf you want, I
        can also provide information on the top 5 or compare other contenders like
        Lionel Messi and Kylian Mbapp\xE9. Let me know!\",\n        \"refusal\": null,\n
        \       \"annotations\": []\n      },\n      \"logprobs\": null,\n      \"finish_reason\":
        \"stop\"\n    }\n  ],\n  \"usage\": {\n    \"prompt_tokens\": 68,\n    \"completion_tokens\":
        234,\n    \"total_tokens\": 302,\n    \"prompt_tokens_details\": {\n      \"cached_tokens\":
        0,\n      \"audio_tokens\": 0\n    },\n    \"completion_tokens_details\":
        {\n      \"reasoning_tokens\": 0,\n      \"audio_tokens\": 0,\n      \"accepted_prediction_tokens\":
        0,\n      \"rejected_prediction_tokens\": 0\n    }\n  },\n  \"service_tier\":
        \"default\",\n  \"system_fingerprint\": \"fp_75546bd1a7\"\n}\n"
    headers:
      CF-RAY:
      - CF-RAY-XXX
      Connection:
      - keep-alive
      Content-Type:
      - application/json
      Date:
      - Wed, 11 Feb 2026 22:36:25 GMT
      Server:
      - cloudflare
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      X-Content-Type-Options:
      - X-CONTENT-TYPE-XXX
      access-control-expose-headers:
      - ACCESS-CONTROL-XXX
      alt-svc:
      - h3=":443"; ma=86400
      cf-cache-status:
      - DYNAMIC
      openai-organization:
      - OPENAI-ORG-XXX
      openai-processing-ms:
      - '4472'
      openai-project:
      - OPENAI-PROJECT-XXX
      openai-version:
      - '2020-10-01'
      set-cookie:
      - SET-COOKIE-XXX
      x-openai-proxy-wasm:
      - v0.1
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-ratelimit-reset-requests:
      - X-RATELIMIT-RESET-REQUESTS-XXX
      x-ratelimit-reset-tokens:
      - X-RATELIMIT-RESET-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
